unit libfenv;
{*******************************}
{	fenv wrapper		}
{	Thu,15 Oct,2020		}
{*******************************}

{$MODE FPC}

interface

type
{$IFDEF CPU64}
	C_Int  = Int64;
{$ELSE CPU64}
	C_Int  = Int32;
{$ENDIF CPU64}


const
{$IF DEFINED(UNIX)}
	libmname = 'libm.so';
{$ENDIF}

	FE_INVALID   = $00000001;
	FE_DENORMAL  = $00000002;
	FE_DIVBYZERO = $00000004;
	FE_OVERFLOW  = $00000008;
	FE_UNDERFLOW = $00000010;
	FE_INEXACT   = $00000020;



function fedisableexcept( excepts: C_Int ): C_Int; cdecl; external libmname name 'fedisableexcept';



implementation

end.
